/* WooCommerce/cart styles */

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-name {
  font-family: var(--wp--preset--font-family--haikara) !important;
  font-size: var(--wp--preset--font-size--text-s) !important;
  font-weight: 600 !important;
  text-decoration: none !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  .wc-block-cart-items__header
  th:not(.wc-block-cart-items__header-total) {
  text-align: left !important;
}

td.wc-block-cart-item__product .wc-block-cart-item__wrap .wc-block-cart-item__prices,
.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-cart-item__total,
.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  .wc-block-cart-items__header {
  font-size: var(--wp--preset--font-size--text-s) !important;
  font-weight: 600 !important;
  text-transform: none !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  .wc-block-cart-item__image {
  padding-right: 0px !important;
  padding-left: 0px !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-metadata
  .wc-block-components-product-details {
  font-size: var(--wp--preset--font-size--text-xs) !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-components-product-metadata
  .wc-block-components-product-metadata__description {
  display: none !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__quantity
  .wc-block-components-quantity-selector {
  background-color: var(--wp--preset--color--white) !important;
  border: 0 !important;
  border-radius: 0 !important;
  padding: 0px !important;
  width: unset !important;
}
.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__quantity
  .wc-block-components-quantity-selector {
  background-color: var(--wp--preset--color--white) !important;
  border: 0 !important;
  border-radius: 0 !important;
  padding: 0px !important;
  width: unset !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-items-block
  table.wc-block-cart-items
  td.wc-block-cart-item__product
  .wc-block-cart-item__wrap
  .wc-block-cart-item__quantity
  .wc-block-components-quantity-selector
  .wc-block-components-quantity-selector__button {
  min-width: 0 !important;
  border-radius: 0 !important;
  padding: 6px !important;
  min-width: 28px !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-totals-block
  .wp-block-woocommerce-cart-order-summary-block
  .wp-block-woocommerce-cart-order-summary-heading-block {
  font-family: var(--wp--preset--font-family--haikara) !important;
  font-size: var(--wp--preset--font-size--text-xl) !important;
  font-weight: 600 !important;
  text-transform: none !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-totals-block
  .wc-block-cart__submit
  .wc-block-components-button.wc-block-cart__submit-button {
  background-color: var(--wp--preset--color--orange) !important;
  color: var(--wp--preset--color--white) !important;
  transition:
    background 0.2s ease,
    color 0.2s ease !important;
}

.wp-block-woocommerce-cart
  .wp-block-woocommerce-cart-totals-block
  .wc-block-cart__submit
  .wc-block-components-button.wc-block-cart__submit-button:hover {
  background-color: var(--wp--preset--color--dark-green) !important;
  color: var(--wp--preset--color--white) !important;
}
